org.eclipse.rdf4j.repository.base

## Class AbstractRepository

- java.lang.Object
- - org.eclipse.rdf4j.repository.base.AbstractRepository

- All Implemented Interfaces:
    Repository
  Direct Known Subclasses:
    HTTPRepository, ProxyRepository, RepositoryBase, RepositoryConfigRepository, SailRepository, SPARQLRepository

      public abstract class AbstractRepository
      extends Object
      implements Repository

  Base class for `Repository` implementation, offering common functionality.
  Author:
    Jeen Broekstra

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.slf4j.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractRepository()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init()` Initializes this repository.
    `void` | `initialize()` Deprecated.
    `protected abstract void` | `initializeInternal()`
    `boolean` | `isInitialized()` Indicates if the Repository has been initialized.
    `void` | `shutDown()` Shuts the repository down, releasing any resources that it keeps hold of.
    `protected abstract void` | `shutDownInternal()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.repository.Repository

      `getConnection, getDataDir, getValueFactory, isWritable, setDataDir`

- - ### Field Detail

    - #### logger

          protected final org.slf4j.Logger logger

  - ### Constructor Detail

    - #### AbstractRepository

          public AbstractRepository()

  - ### Method Detail

    - #### initialize

          @Deprecated
          public final void initialize()
                                            throws RepositoryException

      Deprecated.
      Description copied from interface: `Repository`
      Initializes this repository.
      Specified by:
        `initialize` in interface `Repository`
      Throws:
        `RepositoryException` - If the initialization failed.

    - #### init

          public final void init()
                          throws RepositoryException

      Description copied from interface: `Repository`
      Initializes this repository. A repository needs to be initialized before it can be used, however explicitly calling this method is not necessary: the repository will automatically initialize itself if an operation is executed on it that requires it to be initialized.
      Specified by:
        `init` in interface `Repository`
      Throws:
        `RepositoryException` - If the initialization failed.

    - #### initializeInternal

          protected abstract void initializeInternal()
                                              throws RepositoryException

      Throws:
        `RepositoryException`

    - #### shutDown

          public final void shutDown()
                              throws RepositoryException

      Description copied from interface: `Repository`
      Shuts the repository down, releasing any resources that it keeps hold of. Once shut down, the repository can no longer be used until it is re-initialized.
      Specified by:
        `shutDown` in interface `Repository`
      Throws:
        `RepositoryException`

    - #### isInitialized

          public final boolean isInitialized()

      Description copied from interface: `Repository`
      Indicates if the Repository has been initialized. Note that the initialization status may change if the Repository is shut down.
      Specified by:
        `isInitialized` in interface `Repository`
      Returns:
        true iff the repository has been initialized.

    - #### shutDownInternal

          protected abstract void shutDownInternal()
                                            throws RepositoryException

      Throws:
        `RepositoryException`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.